
Foreman - Bug #4597

cannot disassociate host

03/08/2014 07:35 PM - Pierig Le Saux

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Users, Roles and Permissions   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.5.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

UI gives this error message:

Warning!

ERF51-5531: unknown permission for hosts#disassociate

Foreman::Exception

ERF51-5531: unknown permission for hosts#disassociate

app/controllers/application_controller.rb:155:in `action_permission'

app/controllers/hosts_controller.rb:565:in `action_permission'

app/controllers/application_controller.rb:137:in `current_permission'

app/controllers/hosts_controller.rb:537:in `resource_base'

app/controllers/hosts_controller.rb:628:in `find_by_name'

app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

lib/middleware/catch_json_parse_errors.rb:9:in `call'

Related issues:

Blocks Foreman - Tracker #4552: New permissions/authorization system issues New

Associated revisions

Revision 084f7554 - 04/21/2014 04:42 PM - Dominic Cleal

fixes #4597 - map host disassociate actions to permission

Revision b8c2ee91 - 04/28/2014 11:51 AM - Dominic Cleal

fixes #4597 - map host disassociate actions to permission

(cherry picked from commit 084f755456f522caa5a896689fe72b3c502efb03)

History

#1 - 03/10/2014 08:15 AM - Dominic Cleal

- Blocks Tracker #4552: New permissions/authorization system issues added

#2 - 04/18/2014 10:25 PM - Dominic Cleal

- Category set to Users, Roles and Permissions

- Status changed from New to Ready For Testing

- Assignee set to Dominic Cleal

- Target version set to 1.8.4

https://github.com/theforeman/foreman/pull/1392

#3 - 04/21/2014 05:32 PM - Dominic Cleal

- Status changed from Ready For Testing to Closed
https://github.com/theforeman/foreman/pull/1392


- % Done changed from 0 to 100

Applied in changeset 084f755456f522caa5a896689fe72b3c502efb03.
